!	VIdeO terminal extensions.

interface	vio_init(0) = 30,
		vio_end(0),
		vio_reinit(0),
		vio_sync(0),
		vio_putc(1),	! character
		vio_puts(1),	! string
		vio_clear(0),
		vio_clreol(0),
		vio_color(1),	! color
		vio_query(0),
		vio_getc(0),
		vio_move(2),	! x, y
		vio_index(2),	! top, bottom
		vio_revind(2);	! top, bottom

const		K_HOME	= 327,
		K_LEFT	= 331,
		K_RGHT	= 333,
		K_END	= 335,
		K_BKSP	= '\b',
		K_DEL	= 339,
		K_KILL	= 127,
		K_INS	= 338,
		K_CR	= '\r',
		K_UP	= 328,
		K_DOWN	= 336,
		K_ESC	= '\e',
		K_PGUP	= 329,
		K_PREV	= K_PGUP,
		K_PGDN	= 337,
		K_NEXT	= K_PGDN,
		K_F1	= 315,
		K_F2	= 316,
		K_F3	= 317,
		K_F4	= 318,
		K_F5	= 319,
		K_F6	= 320,
		K_F7	= 321,
		K_F8	= 322,
		K_F9	= 323,
		K_F10	= 324;

const		F_BLACK		= 0,
		F_BLUE		= 1,
		F_GREEN		= 2,
		F_CYAN		= 3,
		F_RED		= 4,
		F_MAGENTA	= 5,
		F_YELLOW	= 6,
		F_GREY		= 7,
		F_BRIGHT	= 8,
		B_BLACK		= 0,
		B_BLUE		= 16,
		B_GREEN		= 32,
		B_CYAN		= 48,
		B_RED		= 64,
		B_MAGENTA	= 80,
		B_YELLOW	= 96,
		B_GREY		= 112;
